<template>
  <!-- 装船指令页面 -->
  <div class="shipTransport">
    <div class="top">
      <el-input class="el-input" placeholder="请输入内容" v-model="input" clearable> </el-input> 
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button class="btn" type="primary" @click="btnclick(0)">
         <i class="el-icon-circle-plus-outline"></i>新增 </el-button>
    </div>
    <el-tabs v-model="activeName"  @tab-click="handleClick">
      <!-- 未下发 -->
      <el-tab-pane label="未下发" name="first">
        <dilTable v-bind.sync="option" ref="table">
          <el-table-column fixed="right" label="操作" align="center" width="180">
        <template slot-scope="scope">
          <el-button @click="selectclick(scope.row)" type="text" size="small"
            >加船</el-button
          >
          <el-button
            @click="issueclick(scope.row.instructionsId)"
            type="text"
            size="small"
            >下发</el-button
          >
          <el-button
            @click="click(scope.row.instructionsId)"
            type="text"
            size="small"
            >编辑</el-button
          >
          <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.instructionsId)"
            >删除</el-button
          >
        </template>
      </el-table-column>
        </dilTable>
      </el-tab-pane>
      <!-- 已下发 -->
      <el-tab-pane label="已下发" name="second">
        <dilTable v-bind.sync="option2"></dilTable>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      restaurants: [],
      input: "",
      activeName:"first",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getShipMentInstructionsList?apiId=74&status=未下发",
      },
      option2: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getShipMentInstructionsList?apiId=74&status=已下发",
      },
    };
  },
  mounted() {},
  methods: {
      handleClick(tab, event) {
      console.log(tab, event);
    },
    onclick() {
      // this.option.requestUrl =
      //   "/api/v1/tms/getShipMentInstructionsList?apiId=74&con=" + this.input;
    },
    btnclick() {
      this.$router.push("/addShipmentInstructions/");
    },
    selectclick(row) {
      this.$router.push("/instructionsCapacity/" + row.instructionsId);
    },
    click(instructionsId) {
      this.$router.push("/updateShipmentInstructions/" + instructionsId);
    },
    deleteclick(scope) {
      let instructionsId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.axios
            .post("/api/v1/tms/deleteByPrimaryKey/" + instructionsId)
            .then(() => {
              this.$message({
                type: "success",
                message: "删除成功!",
              });
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
    issueclick(scope) {
      let instructionsId = scope;
      this.$confirm("是否下发", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "下发成功!",
          });
          this.axios
            .post("/api/v1/tms/sendShipmentInstructionsStatus/" + instructionsId)
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消下发!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.shipTransport {
  .top {

     padding: 1.25rem 0.375rem;
     .el-input{
       width: 20%;
       margin-right: 40rpx;
     }
     .btn{
       width: 5.5%;
       margin-left: 0.25rem;
     }
  }
}
</style>